<div class="card">
    <div class="card-body">
        <div class="container">
            <h1 class="text-center">LISTA PERSONAJES</h1>
            <div class="row">
                <div class="col-md-6">
                    <div>
                        <button type="button" class="btn btn-outline-success"
                        (click)="getPage(characters['info'].prev)">
                        <i class="material-icons left">||</i>
                            Anterior</button>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="d-flex flex-row-reverse">
                        <button type="button" class="btn btn-outline-success"
                            (click)="getPage(characters['info'].next)">Siguiente
                            <i class="material-icons right">||</i>
                        </button>
                    </div>
                </div>
            </div>
            <br>
            <div class="row">
                <div class="col-md-12">
                    <form #formIrPagina="ngForm" ngNativeValidate (ngSubmit)="goToPage(formIrPagina)">
                        <div class="form-group row">
                            <label for="labelpagina" class="col-md-6 offset-md">
                                <div *ngIf="characters['info'] != undefined">
                                    <h5>#Páginas Totales: {{characters['info']['pages']}}</h5>
                                    <h5>Pagina Actual: {{paginaNow}}</h5>
                                </div>
                            </label>
                            <input type="text" class="col-md-4 form-control posicion" id="pagina" name="pagina" placeholder="Seleccione la Pagina para ver" ngModel>
                            <button type="submit" class="btn btn-link posicion">Ir</button>
                        </div>
                    </form>
                </div>
            </div>
            <span>
                <div *ngIf="mensajeError" class="row">
                    <div class="col-md-6 offset-md-3">
                        <div *ngIf="characters['info'] != undefined">
                            <h5 class="alert alert-danger mensaje_alerta">Por favor, introduzca una página entre 1 y {{characters['info']['pages']}}</h5>
                        </div>
                    </div>
                </div>
            </span>
            <br>
            <div class="tk-box-responsive">
                <table class="table table-striped">
                    <thead class="table-dark">
                        <tr>
                            <th scope="col">Imagen</th>
                            <th scope="col">Nombre</th>
                            <th scope="col">Estado</th>
                            <th scope="col">Especie</th>
                            <th scope="col">Género</th>
                            <th scope="col">Detalles</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor='let char of characters["results"]'>
                            <td>
                                <div class="tk-box-img">
                                    <a [routerLink]="['/detail/',char.id]" target="_blank">
                                        <img src="{{char.image}}" alt="imagen">
                                    </a>
                                </div>
                            </td>
                            <td>{{char.name}}</td>
                            <td>{{char.status}}</td>
                            <td>{{char.species}}</td>
                            <td>{{char.gender}}</td>
                            <td><button type="button" class="btn btn-outline-info"
                                    [routerLink]="['/detail/',char.id]">Detalle</button>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>